# Retrieve available card programs

Retrieves the list of available card programs for each `profileId`.

Endpoint: GET /v3/spend/profiles/{profileId}/card-orders/availability
Security: UserToken

## Security:

  - `UserToken` (unknown)
    http bearer JWT

## Path parameters:

  - `profileId` (integer, required)
    The profile ID (personal or business).

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Response 200:

  - `200` (unknown)
    OK - Successfully retrieved available card programs.

## Response 200 fields (application/json):

  - `cardPrograms` (array)
    List of available card programs. A Card Program is what Wise refers to all the cards that you will be issuing with us, grouped by product type and by issuing country.

  - `cardPrograms.name` (string)
    The name of the card program.
    Example: VISA_DEBIT_BUSINESS_UK_1_CARDS_API

  - `cardPrograms.scheme` (string)
    The network of the card program:
- `MASTERCARD`
- `VISA`
    Enum: "MASTERCARD", "VISA"

  - `cardPrograms.defaultCurrency` (string)
    The default currency assigned to the card program.
    Example: GBP

  - `cardPrograms.cardType` (string)
    The type of the card:
- `VIRTUAL_NON_UPGRADEABLE`
- `PHYSICAL`
    Enum: "VIRTUAL_NON_UPGRADEABLE", "PHYSICAL"

## Response 200 headers (application/json):

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

## Response 429:

  - `429` (unknown)
    Rate limit exceeded. Retry after the number of seconds specified in the `Retry-After` header.

## Response 429 headers (application/json):

  - `Retry-After` (integer)
    Number of seconds to wait before retrying the request.
    Example: 5

  - `X-Rate-Limited-By` (string)
    Identifies the rate limiter that triggered the 429 response.
    Example: wise-public-api

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

